build:clang10-seq-release:
  image: localhost:5000/ubuntu_clang10
  stage: build
  script:
    - mkdir -p build/clang10-release-seq
    - cd build/clang10-release-seq
    - CXX=clang++-10 CC=clang-10 cmake ../.. -DCMAKE_BUILD_TYPE=Release -DCLANG_FORMAT=/usr/bin/clang-format-10
    - make pugs
  cache:
    key: "${CI_COMMIT_REF_SLUG}-clang10-release-seq"
    paths:
      - build/clang10-release-seq
    untracked: true

test:clang10-seq-release:
  image: localhost:5000/ubuntu_clang10
  stage: test
  dependencies:
    - build:clang10-seq-release
  script:
    - mkdir -p build/clang10-release-seq
    - cd build/clang10-release-seq
    - CXX=clang++-10 CC=clang-10 cmake ../.. -DCMAKE_BUILD_TYPE=Release -DCLANG_FORMAT=/usr/bin/clang-format-10
    - make run_unit_tests
  cache:
    key: "${CI_COMMIT_REF_SLUG}-clang10-release-seq"
    paths:
      - build/clang10-release-seq
    untracked: true
